Authorization
Descope Project ID and Management Key Project ID:Management Key as bearer token.
In: header
Request Body
application/json
Update an existing role, using a valid management key.
This API endpoint allows administrators to update an existing role. The endpoint takes the following four parameters:
- name (required)
- newName (required)
- description (optional - though if not provided, it will be removed from the role))
- permissionNames (optional - though if not provided, it will be removed from the role))
See also
- See User Authorization for further details on managing roles and permissions.
curl -X POST "https://api.descope.com/v1/mgmt/role/update" \ -H "Content-Type: application/json" \ -d '{}'{ "name": "string", "description": "string", "permissionNames": [ "string" ], "createdTime": 0, "tenantId": "string", "default": true, "private": true}export interface Response {name?: stringdescription?: stringpermissionNames?: string[]createdTime?: numbertenantId?: stringdefault?: booleanprivate?: boolean}Create Role POST
### Create a role, using a valid management key. This API endpoint allows administrators to create a new role. The endpoint takes the following three parameters: - name (required) - description (optional) - permissionNames (optional) ### See also - See [User Authorization](/manage/roles/) for further details on managing roles and permissions.
Delete Role POST
### Delete a role, using a valid management key. This API endpoint allows administrators to delete an existing role. The endpoint takes the following one parameter: - name (required) ### See also - See [User Authorization](/manage/roles/) for further details on managing roles and permissions._override/App.tsx